# Note that this is NOT a relocatable package
%define ver      0.5
%define rel      5
%define prefix   %{_prefix}

Summary: A color font rendering library for X11R6.
Name: fnlib
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.enlightenment.org/enlightenment/fnlib/fnlib-%{ver}.tar.gz
Patch0: fnlib-%{ver}-aixlibs.patch
Obsoletes: Fnlib
BuildRoot: /var/tmp/fnlib-%{ver}-root
BuildRequires: libtool >= 1.3.5

URL: http://www.rasterman.com/
Docdir: %{prefix}/doc

%ifarch ia64
  %define stdlib lib/ia64l32
  %define stdlib64 lib/ia64l64
  %define liblink ../../..
  %define PKG64 %{name}-%{version}-ia64l64
  %define DIRS . %{_builddir}/%{PKG64}/%{name}-%{version}
  %define DEFCCIA cc
  %define DEFCC %{DEFCCIA}
%else
  %define stdlib lib
  %define liblink ../..
  %define DIRS .
  %define DEFCC cc
%endif

%description
Fnlib is a library that provides full, scalable 24 bit color font 
rendering abilities for the X Window System.

%package devel
Summary: Headers, static libraries and documentation for Fnlib.
Group: Development/Libraries
Requires: fnlib
Obsoletes: Fnlib

%description devel
The fnlib-devel package contains headers, static libraries and
documentation for Fnlib development.

Install fnlib-devel if you want to develop Fnlib applications.

%prep
%ifarch ia64
%setup -q -c -n %{PKG64}
cd %{name}-%{version}
%patch0 -p1 -b .aixlibs
%endif
%setup -q
%patch0 -p1 -b .aixlibs

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if [[ "$CC" != "gcc" ]]
then
%ifarch ia64
      if [[ "$CC" = "bcc" ]]
      then
          export CC="bcc -Nilp32"
          export CC64=bcc
      else
          export CC64="$CC -q64"
      fi
%endif
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
fi
for dir in %{DIRS}; do cd $dir; if [[ $dir != "." ]]; then export CC="$CC64"; fi

libtoolize --force

%ifarch ppc rs6000
export LDFLAGS="-Wl,-brtl"
%endif

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=/etc
make
done

%install
rm -rf $RPM_BUILD_ROOT

# Potential loop if building 64-bit libraries for IA64
for dir in %{DIRS}; do cd $dir; 
if [[ $dir = "." ]]; then INSTDIR=%{_prefix}; else INSTDIR=/%{PKG64}%{_prefix};
fi
make prefix=$RPM_BUILD_ROOT$INSTDIR sysconfdir=$RPM_BUILD_ROOT/etc install
done

( cd $RPM_BUILD_ROOT
 for dir in bin include
 do
    mkdir -p usr/$dir || :
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done

 mkdir -p usr/%{stdlib}
 cd usr/%{stdlib}
 ln -sf %{liblink}%{prefix}/lib/* .
 cd -

 mkdir -p .%{prefix}/etc || :
 cd etc
 for cfgfile in *
 do
    ln -sf /etc/$cfgfile ..%{prefix}/etc
 done
 cd -
)

%ifarch ia64
# Add 64-bit libs to main install tree
mkdir -p $RPM_BUILD_ROOT%{_prefix}/%{stdlib64}
mv ${RPM_BUILD_ROOT}/%{PKG64}%{_prefix}/lib/* $RPM_BUILD_ROOT%{_prefix}/%{stdlib64}

# Add system links
cd $RPM_BUILD_ROOT
mkdir -p usr/%{stdlib64}
cd usr/%{stdlib64}
ln -sf %{liblink}%{prefix}/%{stdlib64}/* .
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README

%config /etc/fnrc
/usr/%{stdlib}/lib*.so
/usr/%{stdlib}/lib*.so.*
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.so.*
%{prefix}/share/fnlib_fonts/*
%{prefix}/etc/fnrc
%ifarch ia64
%{_prefix}/%{stdlib64}/lib*
/usr/%{stdlib64}/lib*
%endif

%files devel
%defattr(-, root, root)

#%doc doc/index.html
%doc doc/fontinfo.README

/usr/include/*
%{prefix}/include/*

%changelog
* Thu Mar 22 2001 Marc Stephenson <marc@austin.ibm.com>
- Build both 32- and 64-bit libraries

* Fri Mar 09 2001 Marc Stephenson <marc@austin.ibm.com>
- Add logic for default compiler
- Rebuild against new shared objects

* Thu Feb 15 2001 aixtoolbox <aixtoollbox-l@austin.ibm.com>
- Account for different standard lib location in IA64 32-bit ABI

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution


* Fri Sep 17 1999 Michael Fulbright <drmike@redhat.com>
- removed 0 length index.html file

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- built against imlib 1.9.3

